org.jbpm.runtime.manager.impl

## Class RuntimeEngineImpl

- java.lang.Object
- - org.jbpm.runtime.manager.impl.RuntimeEngineImpl

- All Implemented Interfaces:
    org.kie.api.runtime.manager.RuntimeEngine, org.kie.internal.runtime.manager.Disposable
  Direct Known Subclasses:
    SynchronizedRuntimeImpl

      public class RuntimeEngineImpl
      extends Object
      implements org.kie.api.runtime.manager.RuntimeEngine, org.kie.internal.runtime.manager.Disposable

  An implementation of the `RuntimeEngine` that additionally implements the `Disposable` interface to allow other components to register listeners on it. The usual case for this is that listeners and work item handlers might be interested in receiving notification when the runtime engine is disposed of, in order deactivate themselves too and not receive any other events.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `RuntimeEngineImpl(org.kie.api.runtime.manager.Context<?> context, RuntimeEngineInitlializer initializer)`
    `RuntimeEngineImpl(org.kie.api.runtime.KieSession ksession, org.kie.api.task.TaskService taskService)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `addDisposeListener(org.kie.internal.runtime.manager.DisposeListener listener)`
    `void` | `dispose()`
    `org.kie.api.runtime.manager.audit.AuditService` | `getAuditService()`
    `org.kie.api.runtime.manager.Context<?>` | `getContext()`
    `org.kie.api.runtime.KieSession` | `getKieSession()`
    `Long` | `getKieSessionId()`
    `org.kie.api.runtime.manager.RuntimeManager` | `getManager()`
    `org.kie.api.task.TaskService` | `getTaskService()`
    `org.kie.api.runtime.KieSession` | `internalGetKieSession()`
    `void` | `internalSetKieSession(org.kie.api.runtime.KieSession ksession)`
    `boolean` | `isAfterCompletion()`
    `boolean` | `isDisposed()`
    `void` | `setAfterCompletion(boolean completing)`
    `void` | `setContext(org.kie.api.runtime.manager.Context<?> context)`
    `void` | `setManager(org.kie.api.runtime.manager.RuntimeManager manager)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### RuntimeEngineImpl

          public RuntimeEngineImpl(org.kie.api.runtime.KieSession ksession,
                                   org.kie.api.task.TaskService taskService)

    - #### RuntimeEngineImpl

          public RuntimeEngineImpl(org.kie.api.runtime.manager.Context<?> context,
                                   RuntimeEngineInitlializer initializer)

  - ### Method Detail

    - #### getKieSession

          public org.kie.api.runtime.KieSession getKieSession()

      Specified by:
        `getKieSession` in interface `org.kie.api.runtime.manager.RuntimeEngine`

    - #### getTaskService

          public org.kie.api.task.TaskService getTaskService()

      Specified by:
        `getTaskService` in interface `org.kie.api.runtime.manager.RuntimeEngine`

    - #### dispose

          public void dispose()

      Specified by:
        `dispose` in interface `org.kie.internal.runtime.manager.Disposable`

    - #### addDisposeListener

          public void addDisposeListener(org.kie.internal.runtime.manager.DisposeListener listener)

      Specified by:
        `addDisposeListener` in interface `org.kie.internal.runtime.manager.Disposable`

    - #### getManager

          public org.kie.api.runtime.manager.RuntimeManager getManager()

    - #### setManager

          public void setManager(org.kie.api.runtime.manager.RuntimeManager manager)

    - #### isDisposed

          public boolean isDisposed()

    - #### getAuditService

          public org.kie.api.runtime.manager.audit.AuditService getAuditService()

      Specified by:
        `getAuditService` in interface `org.kie.api.runtime.manager.RuntimeEngine`

    - #### internalGetKieSession

          public org.kie.api.runtime.KieSession internalGetKieSession()

    - #### internalSetKieSession

          public void internalSetKieSession(org.kie.api.runtime.KieSession ksession)

    - #### isAfterCompletion

          public boolean isAfterCompletion()

    - #### setAfterCompletion

          public void setAfterCompletion(boolean completing)

    - #### getContext

          public org.kie.api.runtime.manager.Context<?> getContext()

    - #### setContext

          public void setContext(org.kie.api.runtime.manager.Context<?> context)

    - #### getKieSessionId

          public Long getKieSessionId()

Copyright © 2001–2018 JBoss by Red Hat. All rights reserved.